﻿using PizzeriaDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PizzeriaContracts.ViewModels
{
    public class PizzaViewModel : IPizzaModel
    {
        public int Id { get; set; }

        [DisplayName("Название пиццы")]
        public string PizzaName { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public double Price { get; set; }

        public Dictionary<int, (IComponentModel, int)> PizzaComponents { get; set; } = new();
    }
}