﻿using PizzeriaContracts.BindingModels;
using PizzeriaContracts.ViewModels;

namespace PizzeriaContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportPizzaComponentViewModel> GetPizzaComponents();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        void SavePizzasToWordFile(ReportBindingModel model);
        void SavePizzaComponentToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}